Note: This endpoint applies only to Douyin publish records. recordId must refer to a record that has not completed. Completed, failed, or other records return business error 15018.
Get the App scheme and short link used to continue the publish flow in the Douyin App.
GET
/
api
/
v2
/
channels
/
publish
/
records
/
{recordId}
/
user-action
App Deep Link
curl --request GET \ --url https://aitoearn.cn/api/v2/channels/publish/records/{recordId}/user-action \ --header 'X-Api-Key: <api-key>'
The Douyin release record ID that is still waiting for user action. Use data[n].id from the release record list response; do not use a completed record or any non-Douyin release record.
Response
200 - application/json
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
code
integer
required
Business status code. 0 means success; non-zero means a business error.
message
string
required
Response message.
data
object
Hide child attributes
data.recordId
string
required
Post record ID
data.platform
enum<string>
required
platform
Available options:
douyin
data.shareId
string
required
Douyin share ID
data.schemeUrl
string
required
Douyin App Scheme URL
data.shortLink
string
required
short link
data.expiresAt
string<date-time>
Expiration time
requestId
string
Request ID.
timestamp
integer
Error response timestamp in Unix milliseconds.
⌘I
App Deep Link
curl --request GET \ --url https://aitoearn.cn/api/v2/channels/publish/records/{recordId}/user-action \ --header 'X-Api-Key: <api-key>'
{"docsConfig":{"theme":"luma","$schema":"https://mintlify.com/docs.json","name":"AiToEarn Open Platform","description":"AiToEarn 开放平台文档","colors":{"primary":"#A989FF","light":"#B8A1FF","dark":"#8B63F7"},"logo":{"light":"https://mintcdn.com/aitoearn/kGrHrvymy8zxbAqE/assets/logo/logo-light.png?fit=max\u0026auto=format\u0026n=kGrHrvymy8zxbAqE\u0026q=85\u0026s=9328b13457837280719d93e4b04a2065","dark":"https://mintcdn.com/aitoearn/kGrHrvymy8zxbAqE/assets/logo/logo-dark.png?fit=max\u0026auto=format\u0026n=kGrHrvymy8zxbAqE\u0026q=85\u0026s=f1f0a9eeaa59400547ba354f99441d91","href":"/en/home"},"favicon":"https://mintcdn.com/aitoearn/kccGWRJU0qczBwCa/favicon.svg?fit=max\u0026auto=format\u0026n=kccGWRJU0qczBwCa\u0026q=85\u0026s=d3bd4ea8af9d51e155c170481f8c3e9a","api":{"params":{"expanded":"all"},"playground":{"display":"interactive"},"examples":{"defaults":"required","languages":["curl","python","javascript","go"],"prefill":true,"autogenerate":true},"url":"full"},"appearance":{"default":"system","strict":false},"footer":{"socials":{"github":"https://github.com/yikart/AiToEarn"}},"icons":{"library":"lucide"},"errors":{"404":{"redirect":false,"title":"页面未找到","description":"没有找到对应文档。你可以返回[首页](/zh/home),或查看[API Key 获取教程](/zh/use/api-key)。"}},"contextual":{"options":["copy","view","download-spec"],"display":"header"},"interaction":{"drilldown":false},"metadata":{"timestamp":true},"styling":{"latex":false},"navigation":{"languages":[{"language":"zh","default":true,"navbar":{"links":[{"href":"https://github.com/yikart/AiToEarn","label":"GitHub","type":"github"}],"primary":{"type":"button","label":"前往 AiToEarn","href":"https://aitoearn.cn/"}},"href":"zh/use/introduction"},{"language":"en","navbar":{"links":[{"href":"https://github.com/yikart/AiToEarn","label":"GitHub","type":"github"}],"primary":{"type":"button","label":"Go to AiToEarn","href":"https://aitoearn.ai/"}},"href":"en/use"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"aitoearn","hasAudioNarration":false,"actualSubdomain":"aitoearn","customDomains":["docs.aitoearn.ai"],"gitSource":{"type":"github","owner":"yikart","repo":"aitoearn-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6afd62f237566762f1b8ce0e","clientVersion":"0.0.4227","searchFilterCounts":[{"language":"en","tag":"API Docs","count":80},{"language":"en","tag":"Endpoint Groups","count":80},{"language":"zh","tag":"API 文档","count":80},{"language":"zh","tag":"接口分组","count":80},{"language":"en","tag":"Help Docs","count":31},{"language":"zh","tag":"帮助文档","count":31},{"language":"en","tag":"AI Services/Video Generation","count":18},{"language":"zh","tag":"AI 服务/视频生成","count":18},{"language":"en","tag":"Social Platforms","count":16},{"language":"zh","tag":"社交平台","count":16},{"language":"en","tag":"Channel Management/Publishing","count":14},{"language":"zh","tag":"渠道管理/内容发布","count":14},{"language":"en","tag":"Use","count":13},{"language":"zh","tag":"使用","count":13},{"language":"en","tag":"Virtual portrait assets","count":10},{"language":"zh","tag":"虚拟人像素材","count":10},{"language":"en","tag":"AI Services/Agent","count":9},{"language":"en","tag":"AI Services/Image Generation","count":9},{"language":"zh","tag":"AI 服务/Agent","count":9},{"language":"zh","tag":"AI 服务/图像生成","count":9}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"mintlify-overrides/home-nav-state.css","content":"html[data-current-path=\"/home\"] nav[aria-label=\"Main\"] a,html[data-current-path=\"/zh/home\"] nav[aria-label=\"Main\"] a,html[data-current-path=\"/en/home\"] nav[aria-label=\"Main\"] a{color:rgb(var(--gray-600))!important;background:transparent none!important;box-shadow:none!important}html.dark[data-current-path=\"/home\"] nav[aria-label=\"Main\"] a,html.dark[data-current-path=\"/zh/home\"] nav[aria-label=\"Main\"] a,html.dark[data-current-path=\"/en/home\"] nav[aria-label=\"Main\"] a{color:rgb(var(--gray-400))!important;background:transparent none!important;box-shadow:none!important}html[data-current-path=\"/home\"] nav[aria-label=\"Main\"] a:hover,html[data-current-path=\"/zh/home\"] nav[aria-label=\"Main\"] a:hover,html[data-current-path=\"/en/home\"] nav[aria-label=\"Main\"] a:hover{color:rgb(var(--gray-900))!important;background:rgb(var(--gray-950) / 0.03)!important}html.dark[data-current-path=\"/home\"] nav[aria-label=\"Main\"] a:hover,html.dark[data-current-path=\"/zh/home\"] nav[aria-label=\"Main\"] a:hover,html.dark[data-current-path=\"/en/home\"] nav[aria-label=\"Main\"] a:hover{color:rgb(var(--gray-200))!important;background:rgb(255 255 255 / 0.03)!important}"},{"filePath":"mintlify-overrides/sidebar-width.css","content":"@media (min-width: 1024px){#sidebar-content{width:17rem}html:not([data-page-mode=\"custom\"]):has(#sidebar-content) #body-content{padding-left:17rem}html:not([data-page-mode=\"custom\"]):has(#sidebar-content) #content-area{margin-left:max(0px, calc(50vw - 348px - 17rem))}html:not([data-page-mode=\"custom\"]):has(#sidebar-content) #navigation-items{padding-left:0.75rem;padding-right:0.75rem}}"}]}
{"page":{"pagePath":"en/api-reference/get-api-v2-channels-publish-records-record-id-user-action","slug":"/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action","pageMetadata":{"title":"App Deep Link","description":"> **Note:** This endpoint applies only to Douyin publish records. `recordId` must refer to a record that has not completed. Completed, failed, or other records return business error `15018`.\n\nGet the App scheme and short link used to continue the publish flow in the Douyin App.","deprecated":false,"version":null,"sidebarTitle":"App Deep Link","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records/{recordId}/user-action","href":"/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n blockquote: \"blockquote\",\n code: \"code\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.blockquote, {\n children: [\"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"Note:\"\n }), \" This endpoint applies only to Douyin publish records. \", _jsx(_components.code, {\n children: \"recordId\"\n }), \" must refer to a record that has not completed. Completed, failed, or other records return business error \", _jsx(_components.code, {\n children: \"15018\"\n }), \".\"]\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Get the App scheme and short link used to continue the publish flow in the Douyin App.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"App Deep Link","description":"> **Note:** This endpoint applies only to Douyin publish records. `recordId` must refer to a record that has not completed. Completed, failed, or other records return business error `15018`.\n\nGet the App scheme and short link used to continue the publish flow in the Douyin App.","deprecated":false,"version":null,"sidebarTitle":"App Deep Link","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records/{recordId}/user-action","href":"/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/aitoearn/839abaa7c36feed1/mintlify-overrides/home-nav-state.js","/_mintlify/custom/aitoearn/a22913f768343522/mintlify-overrides/hide-auth-request-headers.js"],"openApiReferenceData":{"operation":{"summary":"App Deep Link","deprecated":false,"description":"> **Note:** This endpoint applies only to Douyin publish records. `recordId` must refer to a record that has not completed. Completed, failed, or other records return business error `15018`.\n\nGet the App scheme and short link used to continue the publish flow in the Douyin App.","operationId":"PublishRecordController_getUserAction_v2","tags":["Channel Management/Publishing"],"parameters":["3a21c37a-62ff-4737-9d65-8ed5036bf23a"],"responses":{"200":"6fe707f0-8624-439c-a706-738299c85c69"},"security":["deec2ad9-06f2-442e-a460-7e522cc28f7a"],"x-mint":{"href":"/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action","metadata":{"title":"App Deep Link","sidebarTitle":"App Deep Link"}},"x-aitoearn-backend":{"controller":"E:/vincent/works/yika/project/main/aitoearn-monorepo/apps/aitoearn-server/src/core/channels/publish/records/publish-record.controller.ts","controllerMethod":"getUserAction","services":[{"property":"recordReadService","type":"PublishRecordReadService","file":"E:/vincent/works/yika/project/main/aitoearn-monorepo/apps/aitoearn-server/src/core/channels/publish/records/publish-record-read.service.ts","method":"getUserAction"}],"responseCodes":[{"name":"ChannelPlatformResponseInvalid","code":15072,"message":"The data returned by the {{platform}} platform interface is invalid."},{"name":"ChannelPublishPlatformNotSupported","code":15062,"message":"This platform does not support publishing"},{"name":"PublishRecordNotFound","code":15000,"message":"Release record not found"},{"name":"PublishTaskStatusInvalid","code":15018,"message":"Post task status does not allow this operation"}],"rawResponse":false},"method":"get","type":"path","servers":["57ad866f-30c3-4af4-80f2-039608641992","562e7ea2-2e59-4270-bd1a-d35df0de6fce"],"path":"/api/v2/channels/publish/records/{recordId}/user-action","baseUrlOptions":["https://aitoearn.cn","https://aitoearn.ai"],"title":"App Deep Link","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","go"],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[],"urlDisplay":"full"},"dependencies":{"parameters":{"3a21c37a-62ff-4737-9d65-8ed5036bf23a":{"name":"recordId","in":"path","description":"The Douyin release record ID that is still waiting for user action. Use `data[n].id` from the release record list response; do not use a completed record or any non-Douyin release record.","required":true,"schema":{"type":"string","description":"The Douyin release record ID that is still waiting for user action. Use `data[n].id` from the release record list response; do not use a completed record or any non-Douyin release record.","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"responses":{"6fe707f0-8624-439c-a706-738299c85c69":{"description":"The request has been processed by the service. Business success is determined by whether the response body has code === 0.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"Business status code. 0 means success; non-zero means a business error.","isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"message":{"type":"string","description":"Response message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"type":"object","properties":{"recordId":{"type":"string","description":"Post record ID","isRequired":true,"uniqueKey":"data.recordId","typeLabel":"string"},"platform":{"type":"string","description":"platform","enum":["douyin"],"isRequired":true,"uniqueKey":"data.platform","typeLabel":"enum\u003cstring>"},"shareId":{"type":"string","description":"Douyin share ID","isRequired":true,"uniqueKey":"data.shareId","typeLabel":"string"},"schemeUrl":{"type":"string","description":"Douyin App Scheme URL","isRequired":true,"uniqueKey":"data.schemeUrl","typeLabel":"string"},"shortLink":{"type":"string","description":"short link","isRequired":true,"uniqueKey":"data.shortLink","typeLabel":"string"},"expiresAt":{"description":"Expiration time","type":"string","format":"date-time","uniqueKey":"data.expiresAt","typeLabel":"string\u003cdate-time>"}},"required":["recordId","platform","shareId","schemeUrl","shortLink"],"uniqueKey":"data","typeLabel":"object"},"requestId":{"type":"string","description":"Request ID.","uniqueKey":"requestId","typeLabel":"string"},"timestamp":{"type":"integer","description":"Error response timestamp in Unix milliseconds.","uniqueKey":"timestamp","typeLabel":"integer"}},"required":["code","message"],"uniqueKey":"","typeLabel":"object"},"examples":{"success":{"title":"success","summary":"Success","value":{"code":0,"message":"Request succeeded","data":{"recordId":"string","platform":"string","shareId":"string","schemeUrl":"string","shortLink":"string","expiresAt":"2026-07-02T12:00:00.000Z"}}},"validationFailed10002":{"title":"validationFailed10002","summary":"ValidationFailed (10002)","value":{"code":10002,"message":"Parameter validation failed","data":{},"timestamp":1772099056662}},"unauthorized401":{"title":"unauthorized401","summary":"Unauthenticated or invalid API Key","value":{"code":401,"message":"Unauthorized","data":{},"timestamp":1772099056662}},"channelPlatformResponseInvalid15072":{"title":"channelPlatformResponseInvalid15072","summary":"ChannelPlatformResponseInvalid (15072)","value":{"code":15072,"message":"The data returned by the {{platform}} platform interface is invalid.","data":{},"timestamp":1772099056662}},"channelPublishPlatformNotSupported15062":{"title":"channelPublishPlatformNotSupported15062","summary":"ChannelPublishPlatformNotSupported (15062)","value":{"code":15062,"message":"This platform does not support publishing","data":{"platform":"douyin"},"timestamp":1772099056662}},"publishRecordNotFound15000":{"title":"publishRecordNotFound15000","summary":"PublishRecordNotFound (15000)","value":{"code":15000,"message":"Release record not found","data":{},"timestamp":1772099056662}},"publishTaskStatusInvalid15018":{"title":"publishTaskStatusInvalid15018","summary":"PublishTaskStatusInvalid (15018)","value":{"code":15018,"message":"Post task status does not allow this operation","data":{},"timestamp":1772099056662}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"deec2ad9-06f2-442e-a460-7e522cc28f7a":{"apikey-header-X-Api-Key":{"type":"apiKey","in":"header","name":"X-Api-Key","description":"Need to get API Key from AiToEarn. Click to go to [\"API Key Obtaining Tutorial\"](/en/use/api-key).","scopes":[],"schemeName":"apikey-header-X-Api-Key"}}},"servers":{"57ad866f-30c3-4af4-80f2-039608641992":{"url":"https://aitoearn.cn","description":"China site"},"562e7ea2-2e59-4270-bd1a-d35df0de6fce":{"url":"https://aitoearn.ai","description":"International site"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-Api-Key","description":"Need to get API Key from AiToEarn. Click to go to [\"API Key Obtaining Tutorial\"](/en/use/api-key).","scopes":[],"schemeName":"apikey-header-X-Api-Key"},"schema":{"title":"X-Api-Key","type":"string","description":"Need to get API Key from AiToEarn. Click to go to [\"API Key Obtaining Tutorial\"](/en/use/api-key).","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apikey-header-X-Api-Key","name":"X-Api-Key"}],"title":"apikey-header-X-Api-Key"}]},"originalFileLocation":"openapi/en/aitoearn.openapi.json"},"subdomain":"aitoearn","siteName":"AiToEarn Open Platform","title":"App Deep Link - AiToEarn Open Platform","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"zh":{"href":"/api-reference/get-api-v2-channels-publish-records-record-id-user-action","matchLevel":1},"en":{"href":"/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action","matchLevel":0}}},"originalFileLocation":"en/api-reference/get-api-v2-channels-publish-records-record-id-user-action.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"\u0026gt; Note: This endpoint applies only to Douyin publish records. recordId must refer to a record that has not completed. Completed, failed, or other records return business error 15018. Get the App scheme and short link used to continue the publish flow in the Douyin App.\">\u003cmeta data-mint-head name=\"application-name\" content=\"AiToEarn Open Platform\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"App Deep Link - AiToEarn Open Platform\">\u003cmeta data-mint-head property=\"og:description\" content=\"\u0026gt; Note: This endpoint applies only to Douyin publish records. recordId must refer to a record that has not completed. Completed, failed, or other records return business error 15018. Get the App scheme and short link used to continue the publish flow in the Douyin App.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"AiToEarn Open Platform\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.aitoearn.ai/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://aitoearn.mintlify.site/_mintlify/api/og/v2?division=Channel+Management%2FPublishing\u0026amp;title=App+Deep+Link\u0026amp;description=%3E+**Note%3A**+This+endpoint+applies+only+to+Douyin+publish+records.+%60recordId%60+must+refer+to+a+record+that+has+not+completed.+Completed%2C+failed%2C+or+other+records+\u0026amp;theme=b262227f5673722e38438a70\u0026amp;signature=4c49b21182a2e7cd747441be94b67f5c2acdc4d153086519222e71a3215f5540\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"App Deep Link - AiToEarn Open Platform\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"\u0026gt; Note: This endpoint applies only to Douyin publish records. recordId must refer to a record that has not completed. Completed, failed, or other records return business error 15018. Get the App scheme and short link used to continue the publish flow in the Douyin App.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://aitoearn.mintlify.site/_mintlify/api/og/v2?division=Channel+Management%2FPublishing\u0026amp;title=App+Deep+Link\u0026amp;description=%3E+**Note%3A**+This+endpoint+applies+only+to+Douyin+publish+records.+%60recordId%60+must+refer+to+a+record+that+has+not+completed.+Completed%2C+failed%2C+or+other+records+\u0026amp;theme=b262227f5673722e38438a70\u0026amp;signature=4c49b21182a2e7cd747441be94b67f5c2acdc4d153086519222e71a3215f5540\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"AiToEarn Open Platform\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#A989FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.aitoearn.ai/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.aitoearn.ai/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh\" href=\"https://docs.aitoearn.ai/api-reference/get-api-v2-channels-publish-records-record-id-user-action\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.aitoearn.ai/api-reference/get-api-v2-channels-publish-records-record-id-user-action\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.aitoearn.ai/#organization\",\"name\":\"AiToEarn Open Platform\",\"url\":\"https://docs.aitoearn.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/aitoearn/kGrHrvymy8zxbAqE/assets/logo/logo-light.png?fit=max\u0026auto=format\u0026n=kGrHrvymy8zxbAqE\u0026q=85\u0026s=9328b13457837280719d93e4b04a2065\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.aitoearn.ai#website\",\"name\":\"AiToEarn Open Platform\",\"url\":\"https://docs.aitoearn.ai\",\"publisher\":{\"@id\":\"https://docs.aitoearn.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.aitoearn.ai/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action#webpage\",\"url\":\"https://docs.aitoearn.ai/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action\",\"name\":\"App Deep Link\",\"description\":\"> Note: This endpoint applies only to Douyin publish records. recordId must refer to a record that has not completed. Completed, failed, or other records return business error 15018. Get the App scheme and short link used to continue the publish flow in the Douyin App.\",\"isPartOf\":{\"@id\":\"https://docs.aitoearn.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.aitoearn.ai/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.aitoearn.ai/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoint Groups\",\"item\":\"https://docs.aitoearn.ai/en/api\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Channel Management/Publishing\",\"item\":\"https://docs.aitoearn.ai/en/api-reference/post-api-v2-channels-publish-flows\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"App Deep Link\",\"item\":\"https://docs.aitoearn.ai/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.aitoearn.ai/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action#apireference\",\"headline\":\"App Deep Link\",\"name\":\"App Deep Link\",\"description\":\"> Note: This endpoint applies only to Douyin publish records. recordId must refer to a record that has not completed. Completed, failed, or other records return business error 15018. Get the App scheme and short link used to continue the publish flow in the Douyin App.\",\"url\":\"https://docs.aitoearn.ai/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action\",\"mainEntityOfPage\":{\"@id\":\"https://docs.aitoearn.ai/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action#webpage\"},\"publisher\":{\"@id\":\"https://docs.aitoearn.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.aitoearn.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"AiToEarn Open Platform\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"AiToEarn Open Platform\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action.md","siteName":"AiToEarn Open Platform","nav":{"global":null,"languages":[{"language":"zh","default":true,"navbar":{"links":[{"href":"https://github.com/yikart/AiToEarn","label":"GitHub","type":"github"}],"primary":{"type":"button","label":"前往 AiToEarn","href":"https://aitoearn.cn/"}},"pages":[{"title":"zh","href":"/api-reference/get-api-v2-channels-publish-records-record-id-user-action"}]},{"language":"en","navbar":{"links":[{"href":"https://github.com/yikart/AiToEarn","label":"GitHub","type":"github"}],"primary":{"type":"button","label":"Go to AiToEarn","href":"https://aitoearn.ai/"}},"tabs":[{"tab":"Home","hidden":true,"pages":[{"title":"Home","href":"/en/home","hidden":true}]},{"tab":"Use","icon":"book-open","pages":[{"title":"Use","href":"/en/use"}]},{"tab":"API Docs","icon":"code","groups":[{"group":"Endpoint Groups","pages":[{"group":"Overview","expanded":false,"pages":[{"title":"API Docs","href":"/en/api"}]},{"group":"AI Services/Video Generation","expanded":false,"pages":[{"title":"Video Generation Models","deprecated":false,"version":null,"sidebarTitle":"Video Generation Models","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/models/video/generation","href":"/en/api-reference/get-api-ai-models-video-generation"},{"title":"Generate Video","deprecated":false,"version":null,"sidebarTitle":"Generate Video","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/video/generations","href":"/en/api-reference/post-api-ai-video-generations"},{"title":"Video Task List","deprecated":false,"version":null,"sidebarTitle":"Video Task List","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/video/generations","href":"/en/api-reference/get-api-ai-video-generations"},{"title":"Video Task Status","deprecated":false,"version":null,"sidebarTitle":"Video Task Status","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/video/generations/{taskId}","href":"/en/api-reference/get-api-ai-video-generations-task-id"},{"title":"Create Volcengine-format video generation task","deprecated":null,"version":null,"sidebarTitle":"Create Volcengine-format video generation task","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/v3/contents/generations/tasks","href":"/en/api-reference/post-api-ai-v3-contents-generations-tasks"},{"title":"Query Volcengine-format video task","deprecated":null,"version":null,"sidebarTitle":"Query Volcengine-format video task","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/v3/contents/generations/tasks/{taskId}","href":"/en/api-reference/get-api-ai-v3-contents-generations-tasks-task-id"},{"group":"Real-person verification","expanded":false,"pages":[{"title":"Create real-person verification session","deprecated":null,"version":null,"sidebarTitle":"Create real-person verification session","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/volcengine/assets/visual-validation-sessions","href":"/en/api-reference/post-api-ai-volcengine-assets-visual-validation-sessions"},{"title":"Complete real-person verification","deprecated":null,"version":null,"sidebarTitle":"Complete real-person verification","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/volcengine/assets/visual-validation-sessions/{bytedToken}/complete","href":"/en/api-reference/post-api-ai-volcengine-assets-visual-validation-sessions-byted-token-complete"}]},{"group":"Virtual portrait assets","expanded":false,"pages":[{"title":"Create virtual portrait group","deprecated":null,"version":null,"sidebarTitle":"Create virtual portrait group","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/volcengine/assets/groups","href":"/en/api-reference/post-api-ai-volcengine-assets-groups"},{"title":"Asset group list","deprecated":null,"version":null,"sidebarTitle":"Asset group list","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/volcengine/assets/groups","href":"/en/api-reference/get-api-ai-volcengine-assets-groups"},{"title":"Asset group details","deprecated":null,"version":null,"sidebarTitle":"Asset group details","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/volcengine/assets/groups/{groupId}","href":"/en/api-reference/get-api-ai-volcengine-assets-groups-group-id"},{"title":"Update asset group","deprecated":null,"version":null,"sidebarTitle":"Update asset group","openapi":"/openapi/en/aitoearn.openapi.json patch /api/ai/volcengine/assets/groups/{groupId}","href":"/en/api-reference/patch-api-ai-volcengine-assets-groups-group-id"},{"title":"Delete asset group","deprecated":null,"version":null,"sidebarTitle":"Delete asset group","openapi":"/openapi/en/aitoearn.openapi.json delete /api/ai/volcengine/assets/groups/{groupId}","href":"/en/api-reference/delete-api-ai-volcengine-assets-groups-group-id"},{"title":"Create asset","deprecated":null,"version":null,"sidebarTitle":"Create asset","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/volcengine/assets/items","href":"/en/api-reference/post-api-ai-volcengine-assets-items"},{"title":"Asset list","deprecated":null,"version":null,"sidebarTitle":"Asset list","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/volcengine/assets/items","href":"/en/api-reference/get-api-ai-volcengine-assets-items"},{"title":"Asset details","deprecated":null,"version":null,"sidebarTitle":"Asset details","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/volcengine/assets/items/{assetId}","href":"/en/api-reference/get-api-ai-volcengine-assets-items-asset-id"},{"title":"Update asset","deprecated":null,"version":null,"sidebarTitle":"Update asset","openapi":"/openapi/en/aitoearn.openapi.json patch /api/ai/volcengine/assets/items/{assetId}","href":"/en/api-reference/patch-api-ai-volcengine-assets-items-asset-id"},{"title":"Delete asset","deprecated":null,"version":null,"sidebarTitle":"Delete asset","openapi":"/openapi/en/aitoearn.openapi.json delete /api/ai/volcengine/assets/items/{assetId}","href":"/en/api-reference/delete-api-ai-volcengine-assets-items-asset-id"}]}]},{"group":"AI Services/Image Generation","expanded":false,"pages":[{"title":"Image Generation Models","deprecated":false,"version":null,"sidebarTitle":"Image Generation Models","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/models/image/generation","href":"/en/api-reference/get-api-ai-models-image-generation"},{"title":"Image Editing Models","deprecated":false,"version":null,"sidebarTitle":"Image Editing Models","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/models/image/edit","href":"/en/api-reference/get-api-ai-models-image-edit"},{"title":"Generate Image","deprecated":false,"version":null,"sidebarTitle":"Generate Image","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/image/generate","href":"/en/api-reference/post-api-ai-image-generate"},{"title":"Edit Image","deprecated":false,"version":null,"sidebarTitle":"Edit Image","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/image/edit","href":"/en/api-reference/post-api-ai-image-edit"},{"title":"Generate Image Async","deprecated":false,"version":null,"sidebarTitle":"Generate Image Async","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/image/generate/async","href":"/en/api-reference/post-api-ai-image-generate-async"},{"title":"Edit Image Async","deprecated":false,"version":null,"sidebarTitle":"Edit Image Async","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/image/edit/async","href":"/en/api-reference/post-api-ai-image-edit-async"},{"title":"Image Task Status","deprecated":false,"version":null,"sidebarTitle":"Image Task Status","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/image/task/{logId}","href":"/en/api-reference/get-api-ai-image-task-log-id"},{"title":"OpenAI Image Generation","deprecated":false,"version":null,"sidebarTitle":"OpenAI Image Generation","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/images/generations","href":"/en/api-reference/post-api-ai-images-generations"},{"title":"OpenAI Image Editing","deprecated":false,"version":null,"sidebarTitle":"OpenAI Image Editing","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/images/edits","href":"/en/api-reference/post-api-ai-images-edits"}]},{"group":"AI Services/Large Language Models","expanded":false,"pages":[{"title":"Chat Model List","deprecated":false,"version":null,"sidebarTitle":"Chat Model List","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/models/chat","href":"/en/api-reference/get-api-ai-models-chat"},{"title":"OpenAI Chat","deprecated":false,"version":null,"sidebarTitle":"OpenAI Chat","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/chat/completions","href":"/en/api-reference/post-api-ai-chat-completions"},{"title":"Anthropic Chat","deprecated":false,"version":null,"sidebarTitle":"Anthropic Chat","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/v1/messages","href":"/en/api-reference/post-api-ai-v1-messages"},{"title":"Gemini Chat","deprecated":false,"version":null,"sidebarTitle":"Gemini Chat","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/v1beta/models/{model}:generateContent","href":"/en/api-reference/post-api-ai-v1beta-models-model-generate-content"},{"title":"Gemini Streaming Chat","deprecated":false,"version":null,"sidebarTitle":"Gemini Streaming Chat","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/v1beta/models/{model}:streamGenerateContent","href":"/en/api-reference/post-api-ai-v1beta-models-model-stream-generate-content"}]},{"group":"AI Services/Agent","expanded":false,"pages":[{"title":"Start Chat","deprecated":null,"version":null,"sidebarTitle":"Start Chat","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/agent/chat","href":"/en/api-reference/post-api-ai-agent-chat"},{"title":"Session List","deprecated":null,"version":null,"sidebarTitle":"Session List","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/agent/sessions","href":"/en/api-reference/get-api-ai-agent-sessions"},{"title":"Session Details","deprecated":null,"version":null,"sidebarTitle":"Session Details","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/agent/sessions/{sessionId}","href":"/en/api-reference/get-api-ai-agent-sessions-session-id"},{"title":"Update Session","deprecated":null,"version":null,"sidebarTitle":"Update Session","openapi":"/openapi/en/aitoearn.openapi.json patch /api/ai/agent/sessions/{sessionId}","href":"/en/api-reference/patch-api-ai-agent-sessions-session-id"},{"title":"Delete Session","deprecated":null,"version":null,"sidebarTitle":"Delete Session","openapi":"/openapi/en/aitoearn.openapi.json delete /api/ai/agent/sessions/{sessionId}","href":"/en/api-reference/delete-api-ai-agent-sessions-session-id"},{"title":"Message list","deprecated":null,"version":null,"sidebarTitle":"Message list","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/agent/sessions/{sessionId}/messages","href":"/en/api-reference/get-api-ai-agent-sessions-session-id-messages"},{"title":"Resume Stream","deprecated":null,"version":null,"sidebarTitle":"Resume Stream","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/agent/sessions/{sessionId}/resume","href":"/en/api-reference/get-api-ai-agent-sessions-session-id-resume"},{"title":"Abort Session","deprecated":null,"version":null,"sidebarTitle":"Abort Session","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/agent/sessions/{sessionId}/abort","href":"/en/api-reference/post-api-ai-agent-sessions-session-id-abort"},{"title":"Call MCP","deprecated":null,"version":null,"sidebarTitle":"Call MCP","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/agent/mcp","href":"/en/api-reference/post-api-ai-agent-mcp"}]},{"group":"Channel Management/Accounts","expanded":false,"pages":[{"title":"Account List","deprecated":false,"version":null,"sidebarTitle":"Account List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts","href":"/en/api-reference/get-api-v2-channels-accounts"},{"title":"Batch Delete Accounts","deprecated":false,"version":null,"sidebarTitle":"Batch Delete Accounts","openapi":"/openapi/en/aitoearn.openapi.json delete /api/v2/channels/accounts","href":"/en/api-reference/delete-api-v2-channels-accounts"},{"title":"Account Details","deprecated":false,"version":null,"sidebarTitle":"Account Details","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts/{accountId}","href":"/en/api-reference/get-api-v2-channels-accounts-account-id"},{"title":"Delete Account","deprecated":false,"version":null,"sidebarTitle":"Delete Account","openapi":"/openapi/en/aitoearn.openapi.json delete /api/v2/channels/accounts/{accountId}","href":"/en/api-reference/delete-api-v2-channels-accounts-account-id"},{"title":"Account Authorization Status","deprecated":false,"version":null,"sidebarTitle":"Account Authorization Status","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts/{accountId}/auth-status","href":"/en/api-reference/get-api-v2-channels-accounts-account-id-auth-status"},{"title":"Publish Option Values","deprecated":false,"version":null,"sidebarTitle":"Publish Option Values","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts/{accountId}/publish-options/{field}/values","href":"/en/api-reference/get-api-v2-channels-accounts-account-id-publish-options-field-values"},{"title":"Create Publish Option Value","deprecated":false,"version":null,"sidebarTitle":"Create Publish Option Value","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/accounts/{accountId}/publish-options/{field}/values","href":"/en/api-reference/post-api-v2-channels-accounts-account-id-publish-options-field-values"}]},{"group":"Channel Management/Publishing","expanded":false,"pages":[{"title":"Create Publish Flow","deprecated":false,"version":null,"sidebarTitle":"Create Publish Flow","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/publish/flows","href":"/en/api-reference/post-api-v2-channels-publish-flows"},{"title":"Publish Flow Details","deprecated":false,"version":null,"sidebarTitle":"Publish Flow Details","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/flows/{flowId}","href":"/en/api-reference/get-api-v2-channels-publish-flows-flow-id"},{"title":"Publish Now","deprecated":false,"version":null,"sidebarTitle":"Publish Now","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/publish/tasks/{taskId}/publish-now","href":"/en/api-reference/post-api-v2-channels-publish-tasks-task-id-publish-now"},{"title":"Retry Publish Task","deprecated":false,"version":null,"sidebarTitle":"Retry Publish Task","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/publish/tasks/{taskId}/retry","href":"/en/api-reference/post-api-v2-channels-publish-tasks-task-id-retry"},{"title":"Cancel Publish Task","deprecated":false,"version":null,"sidebarTitle":"Cancel Publish Task","openapi":"/openapi/en/aitoearn.openapi.json delete /api/v2/channels/publish/tasks/{taskId}","href":"/en/api-reference/delete-api-v2-channels-publish-tasks-task-id"},{"title":"Update Publish Time","deprecated":false,"version":null,"sidebarTitle":"Update Publish Time","openapi":"/openapi/en/aitoearn.openapi.json patch /api/v2/channels/publish/tasks/{taskId}/publish-at","href":"/en/api-reference/patch-api-v2-channels-publish-tasks-task-id-publish-at"},{"title":"Publish Record List","deprecated":false,"version":null,"sidebarTitle":"Publish Record List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records","href":"/en/api-reference/get-api-v2-channels-publish-records"},{"title":"Queued Publish List","deprecated":false,"version":null,"sidebarTitle":"Queued Publish List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records/queued","href":"/en/api-reference/get-api-v2-channels-publish-records-queued"},{"title":"Published List","deprecated":false,"version":null,"sidebarTitle":"Published List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records/published","href":"/en/api-reference/get-api-v2-channels-publish-records-published"},{"title":"Delete Publish Record","deprecated":false,"version":null,"sidebarTitle":"Delete Publish Record","openapi":"/openapi/en/aitoearn.openapi.json delete /api/v2/channels/publish/records/{recordId}","href":"/en/api-reference/delete-api-v2-channels-publish-records-record-id"},{"title":"Publish Record Details","description":"Get the status, content, media URLs, and platform work information for one publish record. Obtain `recordId` from Publish Record List, Queued Publish List, or Published List.","deprecated":false,"version":null,"sidebarTitle":"Publish Record Details","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records/{recordId}","href":"/en/api-reference/get-api-v2-channels-publish-records-record-id"},{"title":"App Deep Link","deprecated":false,"version":null,"sidebarTitle":"App Deep Link","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records/{recordId}/user-action","href":"/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action"},{"title":"Create Douyin Check-in","description":"Create a Douyin offline check-in publish entry. The API key belongs to the integration partner; the person scanning the QR code does not need an AiToEarn account and does not need to authorize or bind a Douyin account in advance.\n\nStore `recordId`. You can display the server-generated `userAction.qrCodeUrl` directly or generate your own QR code from `userAction.shortLink` to customize its size, styling, or logo. Scanning the code opens the Douyin App, where the user confirms and completes publishing. `schemeUrl` can be used by a mobile page to attempt to open the Douyin App directly. The initial `status` is always `8`, which means user action is required and does not indicate success.\n\nAfter publishing completes, AiToEarn updates the publish record from the Douyin webhook. From the integration backend, use the same API key that created the record to call the existing `GET /api/v2/channels/publish/records/{recordId}` endpoint. The QR code and launch links expire; use `expiresAt` as the source of truth and create a new entry after expiration.\n\nImages and video cannot be mixed. Up to 12 JPG, JPEG, PNG, or BMP images are supported, with a maximum size of 20 MB each. One MP4, AVI, MKV, or MOV video is supported, with a maximum size of 1 GB and a maximum duration of 3,600 seconds. Each API key can call this endpoint up to 30 times per 60 seconds.","deprecated":null,"version":null,"sidebarTitle":"Create Douyin Check-in","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/douyin/open/offline-qr","href":"/en/api-reference/post-api-v2-channels-douyin-open-offline-qr"},{"title":"Get REDnote Signature","deprecated":null,"version":null,"sidebarTitle":"Get REDnote Signature","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/rednote/open/offline-qr/share-config","href":"/en/api-reference/post-api-v2-channels-rednote-open-offline-qr-share-config"}]},{"group":"Channel Management/Platforms","expanded":false,"pages":[{"title":"Platform List","deprecated":false,"version":null,"sidebarTitle":"Platform List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/platforms","href":"/en/api-reference/get-api-v2-channels-platforms"},{"title":"Platform Publish Options","deprecated":false,"version":null,"sidebarTitle":"Platform Publish Options","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/platforms/{platform}/publish-options","href":"/en/api-reference/get-api-v2-channels-platforms-platform-publish-options"}]},{"group":"Channel Management/Works","expanded":false,"pages":[{"title":"Parse Work Link","deprecated":false,"version":null,"sidebarTitle":"Parse Work Link","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/works/link-info","href":"/en/api-reference/get-api-v2-channels-works-link-info"},{"title":"Work List","deprecated":false,"version":null,"sidebarTitle":"Work List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/works/{platform}","href":"/en/api-reference/get-api-v2-channels-works-platform"},{"title":"Work Details","deprecated":false,"version":null,"sidebarTitle":"Work Details","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/works/{platform}/{platformWorkId}","href":"/en/api-reference/get-api-v2-channels-works-platform-platform-work-id"},{"title":"Work Analytics","deprecated":false,"version":null,"sidebarTitle":"Work Analytics","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/works/{platform}/{platformWorkId}/analytics","href":"/en/api-reference/get-api-v2-channels-works-platform-platform-work-id-analytics"},{"title":"Verify Work Ownership","deprecated":false,"version":null,"sidebarTitle":"Verify Work Ownership","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/works/{platform}/{platformWorkId}/ownership/verify","href":"/en/api-reference/post-api-v2-channels-works-platform-platform-work-id-ownership-verify"}]},{"group":"Channel Management/Account Groups","expanded":false,"pages":[{"title":"Group List","deprecated":false,"version":null,"sidebarTitle":"Group List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/account-groups","href":"/en/api-reference/get-api-v2-channels-account-groups"},{"title":"Create Group","deprecated":false,"version":null,"sidebarTitle":"Create Group","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/account-groups","href":"/en/api-reference/post-api-v2-channels-account-groups"},{"title":"Batch Delete Groups","deprecated":false,"version":null,"sidebarTitle":"Batch Delete Groups","openapi":"/openapi/en/aitoearn.openapi.json delete /api/v2/channels/account-groups","href":"/en/api-reference/delete-api-v2-channels-account-groups"},{"title":"Update Group","deprecated":false,"version":null,"sidebarTitle":"Update Group","openapi":"/openapi/en/aitoearn.openapi.json patch /api/v2/channels/account-groups/{groupId}","href":"/en/api-reference/patch-api-v2-channels-account-groups-group-id"},{"title":"Update Account Order","deprecated":false,"version":null,"sidebarTitle":"Update Account Order","openapi":"/openapi/en/aitoearn.openapi.json patch /api/v2/channels/account-groups/{groupId}/accounts/rank","href":"/en/api-reference/patch-api-v2-channels-account-groups-group-id-accounts-rank"}]},{"group":"Channel Management/Authorization","expanded":false,"pages":[{"title":"Start Platform Authorization","deprecated":false,"version":null,"sidebarTitle":"Start Platform Authorization","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts/auth/{platform}","href":"/en/api-reference/get-api-v2-channels-accounts-auth-platform"},{"title":"Get Authorization Status","deprecated":false,"version":null,"sidebarTitle":"Get Authorization Status","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts/auth/{platform}/status/{sessionId}","href":"/en/api-reference/get-api-v2-channels-accounts-auth-platform-status-session-id"}]},{"group":"Asset Management","expanded":false,"pages":[{"title":"Generate Upload Signature","deprecated":false,"version":null,"sidebarTitle":"Generate Upload Signature","openapi":"/openapi/en/aitoearn.openapi.json post /api/assets/uploadSign","href":"/en/api-reference/post-api-assets-upload-sign"},{"title":"Confirm Asset Upload","deprecated":false,"version":null,"sidebarTitle":"Confirm Asset Upload","openapi":"/openapi/en/aitoearn.openapi.json post /api/assets/{id}/confirm","href":"/en/api-reference/post-api-assets-id-confirm"}]},{"group":"Account \u0026 Keys/API Key","expanded":false,"pages":[{"title":"API Key usage","deprecated":null,"version":null,"sidebarTitle":"API Key usage","openapi":"/openapi/en/aitoearn.openapi.json get /api/api-key/current/usage","href":"/en/api-reference/get-api-api-key-current-usage"}]}]}]},{"tab":"Help Docs","icon":"book-open","pages":[{"title":"Help Docs","href":"/en/help"}]},{"tab":"Contributing","icon":"heart-handshake","pages":[{"title":"Contributing","href":"/en/use/contributing"}]}]}]},"basePath":"","title":"App Deep Link - AiToEarn Open Platform","deploymentId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","buildId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-CrDfRf61.js","snippetPresets-Dv-cOUrx.js","utils-BUTreAgv.js","style-to-object-BY3JEAdk.js","utils-wsznt9RM.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-DEsMlaPy.js","conditional-requirements-CFM0id0Q.js","cloneDeep-DontW4xJ.js","_Uint8Array-pP7X6_RM.js","isObject-FP1Yky1u.js","Page-Cr9IwkK7.js","CodeSnippet-eoRjC4Le.js","DynamicMarkdown-NFqqduU7.js","SectionHeading-DQ-mJoAt.js","icon-DXTBUt6s.js","ApiExamples-CU_aGGP0.js","usePlaygroundInputsStore-7dNmUIbS.js","shallow-fTtruD8x.js","isEqual-BRfNFpSD.js","CodeSnippets-52884wUJ.js","getApiPlaygroundDisplay-CZyAPlR2.js","MethodPill-2v-b3js5.js","getPastedJson-v_8Y1_4v.js","DuplicateIcon-DXIkhZIo.js","createIcon-DRpYuPZs.js","axios-CsQoIw0U.js","Markdown-CwtoSfEf.js","AssistantPageLink-CTqa3eoi.js","dist-DIfYWxfm.js","lib-DMeTj1gb.js","lib-B8HbPgcC.js","katex-Dbtb6Wk7.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js"]}